org.bdgenomics.adam.rdd.read

# IncorrectMDTagException

###
Related Doc: package read

#### case class IncorrectMDTagException(read: AlignmentRecord, mdTag: String) extends Exception with Product with Serializable

A class describing an exception where a read's MD tag was recomputed and did not match the MD tag originally attached to the read.

read

  The read whose MD tag was recomputed, with original MD tag.

mdTag

  The recomputed MD tag.

Linear Supertypes
Serializable, Product, Equals, Exception, Throwable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IncorrectMDTagException
2. Serializable
3. Product
4. Equals
5. Exception
6. Throwable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IncorrectMDTagException(read: AlignmentRecord, mdTag: String)

   read

     The read whose MD tag was recomputed, with original MD tag.

   mdTag

     The recomputed MD tag.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def addSuppressed(arg0: Throwable): Unit

   Definition Classes
     Throwable

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def fillInStackTrace(): Throwable

   Definition Classes
     Throwable

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def getCause(): Throwable

    Definition Classes
      Throwable

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

13. #### def getMessage(): String

    Definition Classes
      IncorrectMDTagException → Throwable

14. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

15. #### final def getSuppressed(): Array[Throwable]

    Definition Classes
      Throwable

16. #### def initCause(arg0: Throwable): Throwable

    Definition Classes
      Throwable

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val mdTag: String

    The recomputed MD tag.

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

23. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

24. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

25. #### val read: AlignmentRecord

    The read whose MD tag was recomputed, with original MD tag.

26. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped